org.apache.solr.client.solrj.request

## Class CoreAdminRequest.RequestSyncShard

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.RequestSyncShard

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CoreAdminRequest

      public static class CoreAdminRequest.RequestSyncShard
      extends CoreAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `action, core, isIndexInfoNeeded, other`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestSyncShard()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollection()`
    `SolrParams` | `getParams()`
    `String` | `getShard()`
    `void` | `setCollection(String collection)`
    `void` | `setShard(String shard)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `createCore, createCore, createCore, createResponse, getContentStreams, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore, unloadCore`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestSyncShard

          public RequestSyncShard()

  - ### Method Detail

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CoreAdminRequest`

    - #### getShard

          public String getShard()

    - #### setShard

          public void setShard(String shard)

    - #### getCollection

          public String getCollection()

    - #### setCollection

          public void setCollection(String collection)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.